pappso::FilterMorphoBackground Class Reference

compute background of a trace compute background noise on a trace More...

`#include <filtermorpho.h>`

Inheritance diagram for pappso::FilterMorphoBackground:

## Public Member Functions

| FilterMorphoBackground (std::size_t median_half_window_size, std::size_t minmax_half_window_size)
| FilterMorphoBackground (const FilterMorphoBackground &other)
virtual | ~FilterMorphoBackground ()
FilterMorphoBackground & | operator= (const FilterMorphoBackground &other)
const FilterMorphoMedian & | getFilterMorphoMedian () const
const FilterMorphoMinMax & | getFilterMorphoMinMax () const
Trace & | filter (Trace &data_points) const override
Public Member Functions inherited from pappso::FilterInterface
virtual | ~FilterInterface ()

## Private Attributes

FilterMorphoMedian | m_filterMorphoMedian
FilterMorphoMinMax | m_filterMorphoMinMax

## Detailed Description

compute background of a trace compute background noise on a trace

Definition at line 228 of file filtermorpho.h.

## Constructor & Destructor Documentation

## FilterMorphoBackground() [1/2]

FilterMorphoBackground::FilterMorphoBackground | ( | std::size_t | median_half_window_size,
|  | std::size_t | minmax_half_window_size
| ) |  |

Definition at line 446 of file filtermorpho.cpp.

: m_filterMorphoMedian(median_half_window_size),
m_filterMorphoMinMax(minmax_half_window_size)
{
}
pappso::FilterMorphoBackground::m_filterMorphoMedian
FilterMorphoMedian m_filterMorphoMedian
Definition: filtermorpho.h:231
pappso::FilterMorphoBackground::m_filterMorphoMinMax
FilterMorphoMinMax m_filterMorphoMinMax
Definition: filtermorpho.h:232

## FilterMorphoBackground() [2/2]

FilterMorphoBackground::FilterMorphoBackground | ( | const FilterMorphoBackground & | other | ) |

Definition at line 453 of file filtermorpho.cpp.

: m_filterMorphoMedian(other.m_filterMorphoMedian),
m_filterMorphoMinMax(other.m_filterMorphoMinMax)
{
}

## ~FilterMorphoBackground()

virtual pappso::FilterMorphoBackground::~FilterMorphoBackground | ( |  | ) |

inline virtual

Definition at line 238 of file filtermorpho.h.

{};

## Member Function Documentation

## filter()

Trace & FilterMorphoBackground::filter | ( | Trace & | data_points | ) | const

override virtual

Implements pappso::FilterInterface.

Definition at line 470 of file filtermorpho.cpp.

{
m_filterMorphoMedian.filter(data_points);
m_filterMorphoMinMax.filter(data_points);
// finally filter negative values
for(DataPoint &point : data_points)
{
if(point.y < 0)
{
point.y = 0;
}
}
return data_points;
}
pappso::FilterMorphoMinMax::filter
Trace & filter(Trace &data_points) const override
Definition: filtermorpho.cpp:227
pappso::FilterMorphoWindowBase::filter
virtual Trace & filter(Trace &data_points) const override
Definition: filtermorpho.cpp:61
pappso::DataPoint
Definition: datapoint.h:21

References pappso::FilterMorphoWindowBase::filter(), pappso::FilterMorphoMinMax::filter(), m_filterMorphoMedian, and m_filterMorphoMinMax.

## getFilterMorphoMedian()

const FilterMorphoMedian & FilterMorphoBackground::getFilterMorphoMedian | ( |  | ) | const

Definition at line 486 of file filtermorpho.cpp.

{
return m_filterMorphoMedian;
}

References m_filterMorphoMedian.

## getFilterMorphoMinMax()

const FilterMorphoMinMax & FilterMorphoBackground::getFilterMorphoMinMax | ( |  | ) | const

Definition at line 491 of file filtermorpho.cpp.

{
return m_filterMorphoMinMax;
}

References m_filterMorphoMinMax.

## operator=()

FilterMorphoBackground & FilterMorphoBackground::operator= | ( | const FilterMorphoBackground & | other | ) |

Definition at line 461 of file filtermorpho.cpp.

{
m_filterMorphoMedian = other.m_filterMorphoMedian;
m_filterMorphoMinMax = other.m_filterMorphoMinMax;
return *this;
}

References m_filterMorphoMedian, and m_filterMorphoMinMax.

## Member Data Documentation

## m_filterMorphoMedian

FilterMorphoMedian pappso::FilterMorphoBackground::m_filterMorphoMedian

private

Definition at line 231 of file filtermorpho.h.

Referenced by filter(), getFilterMorphoMedian(), and operator=().

## m_filterMorphoMinMax

FilterMorphoMinMax pappso::FilterMorphoBackground::m_filterMorphoMinMax

private

Definition at line 232 of file filtermorpho.h.

Referenced by filter(), getFilterMorphoMinMax(), and operator=().

The documentation for this class was generated from the following files:

- pappsomspp/processing/filters/filtermorpho.h
- pappsomspp/processing/filters/filtermorpho.cpp